Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.channels
Class CFragmentManager

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.alm.channels.FragmentManager
              org.jasig.portal.layout.alm.channels.CFragmentManager

All Implemented Interfaces:
  IChannel, IPrivileged

    public class CFragmentManager

extends FragmentManager

A channel for adding new content to a layout. Prior to uPortal 2.5, this channel existed in the package org.jasig.portal.layout.channels. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Since:
  uPortal 2.5
Version:
  $Revision: 1.1.2.1 $
Author:
  Michael Ivanov, mvi@immagic.com

Nested Class Summary
`private class` | `CFragmentManager.ServantSAXFilter`

Field Summary
`private static int` | `MAX_SERVANTS`
`private java.lang.String` | `servantFragmentId`
`private boolean` | `servantRender`
`private static java.util.Map` | `servants`
`private static java.lang.String` | `sslLocation`

Fields inherited from class org.jasig.portal.layout.alm.channels.FragmentManager
`alm, fragments, themePrefs`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CFragmentManager()`

Method Summary
`protected void` | `analyzeParameters(XSLT xslt)`
`private java.lang.String` | `createFolder(ALFragment fragment)`
`private org.w3c.dom.Document` | `getFragmentList()`
`protected java.util.Collection` | `getFragments()`
`private IGroupMember[]` | `getGroupMembers(java.lang.String fragmentId)`
`private IServant` | `getGroupServant()` Produces a group servant
`private java.lang.String` | `getServantKey()`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.layout.alm.channels.FragmentManager
`getFragmentList, getFragmentList, getFragmentRootId, refreshFragmentMap`

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### servantRender

    private boolean servantRender

### servantFragmentId

    private java.lang.String servantFragmentId

### servants

    private static java.util.Map servants

### MAX_SERVANTS

    private static final int MAX_SERVANTS

See Also:
  Constant Field Values

Constructor Detail

### CFragmentManager

    public CFragmentManager()
                     throws PortalException

Throws:
  `PortalException`

Method Detail

### getGroupMembers

    private IGroupMember[] getGroupMembers(java.lang.String fragmentId)
                                    throws PortalException

  Throws:
    `PortalException`

### getServantKey

    private java.lang.String getServantKey()

### getGroupServant

    private IServant getGroupServant()
                              throws PortalException

  Produces a group servant

  Returns:
    the group servant
  Throws:
    `PortalException`

### createFolder

    private java.lang.String createFolder(ALFragment fragment)
                                   throws PortalException

  Throws:
    `PortalException`

### analyzeParameters

    protected void analyzeParameters(XSLT xslt)
                              throws PortalException

  Specified by:
    `analyzeParameters` in class `FragmentManager`
  Throws:
    `PortalException`

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Overrides:
    `setPortalControlStructures` in class `FragmentManager`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### getFragmentList

    private org.w3c.dom.Document getFragmentList()
                                          throws PortalException

  Throws:
    `PortalException`

### getFragments

    protected java.util.Collection getFragments()
                                         throws PortalException

  Specified by:
    `getFragments` in class `FragmentManager`
  Throws:
    `PortalException`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD